ranges::views::intersperse_base_fn Struct Reference
Views
Inheritance diagram for ranges::views::intersperse_base_fn:

## Public Member Functions

template<typename Rng >
constexpr auto | operator() (Rng &&rng, range_value_t< Rng > val) const -> intersperse_view< all_t< Rng >> requires viewable_range< Rng > &&input_range< Rng > &&convertible_to< range_reference_t< Rng >, range_value_t< Rng >> &&semiregular< range_value_t< Rng >>